@font-face {
    font-family: 'Oswald';
    src: url('../fonts/Oswald-Bold.woff2') format('woff2'), url('../fonts/Oswald-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Oswald';
    src: url('../fonts/Oswald-Light.woff2') format('woff2'), url('../fonts/Oswald-Light.woff') format('woff');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Oswald';
    src: url('../fonts/Oswald-SemiBold.woff2') format('woff2'), url('../fonts/Oswald-SemiBold.woff') format('woff');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Oswald';
    src: url('../fonts/Oswald-ExtraLight.woff2') format('woff2'), url('../fonts/Oswald-ExtraLight.woff') format('woff');
    font-weight: 200;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Oswald';
    src: url('../fonts/Oswald-Medium.woff2') format('woff2'), url('../fonts/Oswald-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Oswald';
    src: url('../fonts/Oswald-Regular.woff2') format('woff2'), url('../fonts/Oswald-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

:root {
    --sans-serif-font-family: "Open Sans", sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    --serif-font-family: "Oswald", sans-serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol, Noto Color Emoji;
    --main-blue-color: #141B4D;
    --main-gold-color: #8A704C;
    --main-gray-color: #E0E0E0;
    --main-red-color: #FF4444;
}

html {
    min-height: 100%;
    font-size: 16px;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    height: 100%;
}

body {
    margin-bottom: 60px;
    font-family: var(--sans-serif-font-family) !important;
    display: flex;
    flex-direction: column;
    height: 100%;
}

main {
    flex: 1;
}

h1, h2, h3, h4, h5, h6, .header {
    font-family: var(--serif-font-family) !important;
}

.page-link {
    color: var(--main-blue-color) !important;
}

.page-item.active .page-link {
    color: white !important;
    border-color: var(--main-blue-color) !important;
    background-color: var(--main-blue-color) !important;
}

.text-blue {
    color: var(--main-blue-color) !important
}

.text-gold {
    color: var(--main-gold-color) !important
}

.border-blue {
    border-color: var(--main-blue-color) !important
}

.border-gold {
    border-color: var(--main-gold-color) !important
}

.bg-blue {
    background-color: var(--main-blue-color) !important
}

.bg-gold {
    background-color: var(--main-gold-color) !important
}

.accent-blue {
    accent-color: var(--main-blue-color) !important
}

.accent-gold {
    accent-color: var(--main-gold-color) !important
}

.sans-serif {
    font-family: var(--sans-serif-font-family) !important;
}

.serif {
    font-family: var(--serif-font-family) !important;
}

.text-left {
    text-align: left;
}

.text-right {
    text-align: right;
}

a:hover, a:active {
    color: var(--main-gold-color) !important;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

header {
    background-color: var(--main-blue-color) !important;
}

.navbar {
    position: relative;
    padding: 0;
    margin: 0;
}

    .navbar .nav-link {
        font-family: var(--serif-font-family) !important;
        color: white !important;
        font-weight: normal;
    }

        .navbar .nav-link:active, .navbar .nav-link:hover {
            color: var(--main-gold-color) !important;
        }

    .navbar .dropdown-item {
        color: var(--main-blue-color) !important;
        font-weight: bold;
    }

        .navbar .dropdown-item:active, .navbar .dropdown-item:hover {
            color: var(--main-gold-color) !important;
        }

.navbar-brand-container {
    position: relative;
}

    .navbar-brand-container::before {
        background: #fff;
        content: "";
        display: inline-block;
        height: 100%;
        left: -9999px;
        position: absolute;
        right: 100%;
        top: 0;
    }

.logo {
    width: auto;
    height: 110px;
    border: none;
}

.logo-accent {
    height: 110px;
    width: auto;
}

.btn {
    font-weight: bold !important;
    min-width: 200px !important;
    white-space: normal !important;
    word-break: break-word;
    text-align: center;
}

.btn-primary {
    background-color: var(--main-blue-color) !important;
    color: white !important;
    border-color: var(--main-blue-color) !important;
}

.btn-outline-primary {
    background-color: white !important;
    color: var(--main-blue-color) !important;
    border-color: var(--main-blue-color) !important;
}

.accordion-button {
    background: inherit !important;
    color: var(--main-blue-color) !important;
    box-shadow: none !important;
    border: none !important;
}

    .accordion-button:not(.collapsed) {
        box-shadow: none !important;
        border: none !important;
        color: var(--main-blue-color) !important;
    }

    .accordion-button:focus {
        box-shadow: none !important;
        border: none !important;
    }

footer {
    width: 100%;
    padding: 10px;
    text-align: center;
}

#loading-animation {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9999;
    gap: 0.5rem;
}

.spinner {
    border: 4px solid rgba(0, 0, 0, 0.1);
    border-radius: 50%;
    border-top: 4px solid #fff;
    width: 40px;
    height: 40px;
    animation: spin 1s linear infinite;
    margin: 0 auto;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@media (min-width: 768px) {
    .mobile-only {
        display: none !important;
    }
}

@media (max-width: 768px) {
    html {
        font-size: 14px !important;
    }

    .logo {
        width: auto;
        height: 67px;
    }

    .logo-accent {
        width: auto;
        height: 67px;
    }

    .dropdown-menu {
        margin-bottom: 1rem;
    }

    .desktop-only {
        display: none !important;
    }

    .btn {
        min-width: unset !important;
        width: 100% !important;
    }
}
